# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-lv
%else
Name:		kde-i18n-Latvian
%endif
Summary:	Latvian language support for KDE
Version:	2.2.1
Release:	2mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Latvian
%endif
Requires:	locales-lv
BuildArch:	noarch

%description
Latvian language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildfor7_2

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_datadir/locale/
%dir %_datadir/locale/lv/
%_datadir/locale/lv/charset
%_datadir/locale/lv/*.desktop
%_datadir/locale/lv/*.png
#
#
%dir %_datadir/locale/lv/LC_MESSAGES/
%_datadir/locale/lv/LC_MESSAGES/*.mo


%changelog
* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com 2.2-2mdk 
- Remove koffice message

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com 2.2-1mdk
- kde 2.2 

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sat Jun 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
